```mermaid
flowchart TD
A[WEB] --> B{MAPIES framework}
B--->D[Plume]
B--->E[Other Applications]

subgraph D[Plume]
    direction TB
    D1[Input sources]
    D2[Preprocessing]
    D3[Emission estimation]
    D4[Postprocessing]
    D1 --> D2
    D2 --> D3
    D3 --> D4
end

classDef plumeClass fill:#f9f,stroke:#333,stroke-width:2px;
class D1,D2,D3,D4 plumeClass;


```

# Input source needed

**Sentinel 5P**

NO2 L2  + Uncertainty (NO2 and NO2_Precision)

- Units atribute
- Noise level atribute
- the central longitude and latitude of the pixels need to be provided as lon and lat.


The library has an example in the tutorial with one NO2 TROPOMI file. It has the following attributes:

| Name | Long Name | Type |
|------|-----------|------|
| NO2 | Tropospheric vertical column of nitrogen dioxide | float32 |
| NO2_std | Precision of the tropospheric vertical column of nitrogen dioxide | float64 |
| latc | N/A | float32 |
| lonc | N/A | float32 |
| averaging_kernel | Averaging kernel | float32 |
| air_mass_factor_troposphere | Tropospheric air mass factor | float32 |
| tm5_constant_a | TM5 hybrid A coefficient at upper and lower interface levels | float32 |
| tm5_constant_b | TM5 hybrid B coefficient at upper and lower interface levels | float32 |
| psurf | Surface pressure | float32 |
| clouds | Effective cloud fraction from the cloud product | float32 |
| lat | N/A | float32 |
| lon | N/A | float32 |
| time | N/A | int64 |
| orbit | N/A | int64 |







